OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_ListNodeOfListOfMapOfShape Class Reference

`#include <TNaming_ListNodeOfListOfMapOfShape.hxx>`

## Public Member Functions
| TNaming_ListNodeOfListOfMapOfShape (const TopTools_MapOfShape &I, const TCollection_MapNodePtr &n)
TopTools_MapOfShape & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TopTools_MapOfShape | myValue

## Constructor & Destructor Documentation

TNaming_ListNodeOfListOfMapOfShape::TNaming_ListNodeOfListOfMapOfShape | ( | const TopTools_MapOfShape & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TNaming_ListNodeOfListOfMapOfShape::Handle | ( | Standard_Type |  | ) | const

TopTools_MapOfShape& TNaming_ListNodeOfListOfMapOfShape::Value | ( |  | ) | const

## Field Documentation

TopTools_MapOfShape TNaming_ListNodeOfListOfMapOfShape::myValue`[private]`

The documentation for this class was generated from the following file:

- TNaming_ListNodeOfListOfMapOfShape.hxx